import request from '@/utils/request'

// 查询唯一码管理列表
export function listCode(query) {
  return request({
    url: '/unique/code/list',
    method: 'get',
    params: query
  })
}

// 查询唯一码管理详细
export function getCode(id) {
  return request({
    url: '/unique/code/' + id,
    method: 'get'
  })
}

// 新增唯一码管理
export function addCode(data) {
  return request({
    url: '/unique/code',
    method: 'post',
    data: data
  })
}

// 修改唯一码管理
export function updateCode(data) {
  return request({
    url: '/unique/code',
    method: 'put',
    data: data
  })
}

// 删除唯一码管理
export function delCode(id) {
  return request({
    url: '/unique/code/' + id,
    method: 'delete'
  })
}
